Subject: bug#38565: closed (Re: bug#38565: Cannot run pre-compiled Firefox)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 May 2020 13:53:06 +0000

Your bug report

#38565: Cannot run pre-compiled Firefox

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38565: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38565
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38565: Cannot run pre-compiled Firefox
From: Ricardo Wurmus <[email-masked]>
To: Arne Babenhauserheide <[email-masked]>
Cc: Efraim Flashner <[email-masked]>, [email-masked]
Date: Sun, 17 May 2020 15:52:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Arne Babenhauserheide <[email-masked]> writes:

> Efraim Flashner <[email-masked]> writes:
>
>> If it worked until about 2 months ago it might be related to the glibc
>> bump. One thing you could do is create a profile from before the
>> core-updates merge and LD_PRELOAD from there.
>
> How can I do that? Can I simply specify the commit to use?
>
>> Not an immediate solution, but it would be nice if they provided a
>> flatpack image.
>
> Looks like this already exists:
> https://firefox-flatpak.mojefedora.cz/
>
> Thank you!
>
> … but it segfaults:

FWIW, this is an upstream flatpak bug.  See the discussions here:

https://issues.guix.gnu.org/35591
https://github.com/flatpak/flatpak/issues/3612

I’m closing this issue because you have confirmed that using Firefox
with Flatpak works fine for you.

-- 
Ricardo

Subject: Cannot run pre-compiled Firefox
From: Arne Babenhauserheide <[email-masked]>
To: [email-masked]
Date: Wed, 11 Dec 2019 11:53:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Until about two months ago I could run firefox binaries downloaded via
https://download.mozilla.org/?product=firefox-latest-ssl&os=linux64&lang=en-US

For about two months now I’m seeing segfaults when I try to run it.

Previously I got it working with the following setup:

cd $HOME/Downloads/firefox
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/run/current-system/profile/lib/:$HOME/.guix-profile/lib/:$HOME/.guix-profile/lib/nss/:$HOME/.guix-profile/lib/lib/:/gnu/store/69x60a1pn0mf5jv68al8awjfkyp1miwi-gcc-8.3.0-lib/lib/:./browser:."
./firefox-bin

This used to work with only minor limitations.

Now what I get is

./firefox-bin
Speicherzugriffsfehler (segmentation fault)

With gdb I get the following:

$ gdb ./firefox-bin
…
Reading symbols from ./firefox-bin...
(No debugging symbols found in ./firefox-bin)
(gdb) run
Starting program: /home/arne/Downloads/firefox/firefox-bin

Program received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x00007ffff7c28d38 in ?? ()
#2  0x0000000000000000 in ?? ()

Do you know a way to fix this? I need a way to test different firefox
versions, because I use Guix in homeoffice which includes web
development. If I can’t get these to run, I might have to switch away to
a different distribution. There’s so much going for Guix that I want to
keep it, but being able to run binaries compiled for Linux X86_64 is a
hard requirement for work.

Best wishes,
Arne
--
Unpolitisch sein
heißt politisch sein
ohne es zu merken